import { Body, Controller, Get, Post } from '@nestjs/common';
import { ApiBody, ApiOperation, ApiTags } from '@nestjs/swagger';
import { InstitucionProgramaService } from './institucion-programa.service';
import { ProgramaCreateDto } from '../institucion-programa/dto/programa-create.dto';

@Controller('institucion-programa')
@ApiTags('institucion-programa')
export class InstitucionProgramaController {
  constructor(private institucionProgramaService: InstitucionProgramaService) {}

  @Post()
  @ApiOperation({ description: 'Endpoint que crea un programa nuevo.' })
  @ApiBody({
    description: 'Es obligatorio mandar la varible programa.',
    examples: { ejemplo: { value: { programa: '' } } },
  })
  create(@Body() body: ProgramaCreateDto) {
    return this.institucionProgramaService.create(body.programa);
  }

  @Get()
  @ApiOperation({ description: 'Endpoint que retorna todos los programas.' })
  get() {
    return this.institucionProgramaService.findAll();
  }
}
